Bug 1566637 - RFE: Add local_users_only option to faillock
Summary: RFE: Add local_users_only option to faillock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pam
Version: 8.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On:
Blocks: 1594286
TreeView+ depends on / blocked
 
Reported: 2018-04-12 16:25 UTC by ralford
Modified: 2020-04-28 16:43 UTC (History)
5 users (show)

Fixed In Version: pam-1.3.1-5.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:42:43 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/OpenSCAP scap-security-guide issues 1642 0 None None None 2020-05-02 09:41:29 UTC
Github https://github.com/OpenSCAP scap-security-guide issues 2174 0 None None None 2020-05-02 09:41:28 UTC
Github https://github.com/OpenSCAP scap-security-guide issues 2706 0 None None None 2020-05-02 09:41:29 UTC
Red Hat Product Errata RHBA-2020:1780 0 None None None 2020-04-28 16:43:05 UTC

Description ralford 2018-04-12 16:25:31 UTC
Description of problem:
pam_faillock.so currently has no way of ignoring local users in /etc/passwd.
This causes problems where compliance organizations require faillock to be configured on all systems, and those systems are centrally managed with IdM or AD. Adding a local_users_only option to faillock would prevent issues with a centralized user account being locked out locally with faillock and centrally with IdM or AD. It would also make it easier and less error prone to configure system-auth and password-auth.

Version-Release number of selected component (if applicable):
All pam_faillock versions/releases

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
faillock configurations locks out both local and centralized users. local_users_only is not an option

Expected results:
faillock configurations locks out both local but not centralized users. local_users_only is an option

Additional info:

Comment 8 Simo Sorce 2019-02-11 15:41:04 UTC
This issue was not selected to be included either in Red Hat Enterprise Linux 7.7 because it is seen either as low or moderate impact to a small amount of use-cases. The next release will be in Maintenance Support 1 Phase, which means that qualified Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released as they become available. We will now close this issue, but if you believe that it qualifies for the Maintenance Support 1 Phase, please re-open; otherwise we recommend moving the request to Red Hat Enterprise Linux 8 if applicable.

Comment 20 errata-xmlrpc 2020-04-28 16:42:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1780


Note You need to log in before you can comment on or make changes to this bug.